Subject: Re: bug#22092: 24.5; icalendar-import should strip windows newlines

From: Ulf Jasper <[email-masked]>
Date: Sat, 05 Dec 2015 17:18:25 +0100

close 22092 25.1
thanks

Am 04.12.2015 um 21:54 (+0100) schrieb Kevin Brubeck Unhammer:

> Sorry, thought I did but I guess I forgot to attach it. Trying again …

Thanks.  I was able to reproduce the error with that file.

> I did manage to import it after removing the ^M's though.

Right.  But adding ^Ms would also help.  The problem with that file is
that line endings are inconsistent.  There are DOS (CR LF) as well as
Unix (LF) line endings.  Whatever created that file should fix that
mess.  

Anyway, I added a fix and pushed it to the emacs-25 branch.

Best,
Ulf